<ion-toolbar *ngIf="creatorProv.editMode">

  <!-- <ion-buttons left>
     <button  ion-button ngxDragHandle title="Sort">
     ✥
     </button>
   </ion-buttons>-->

  <ion-title text-uppercase ngxDragHandle>{{data.type}}</ion-title>

  <ion-buttons end>

    <button ion-button *ngIf="componentRefInstance?.settingsComponent" (click)="openSettings($event)" title="Settings">
      ✎
    </button>

    <button ion-button
            [disabled]="helperProv.compare(dataBackup, data)"
            (click)="revertAction()"
            title="Revert changes">↺
    </button>

    <button ion-button (click)="moveUp.emit()" title="Move up">
      ⇧
    </button>

    <button ion-button (click)="moveDown.emit()" title="Move down">
      ⇩
    </button>

    <button ion-button (click)="remove.emit()" title="Remove">
      ✘
    </button>

  </ion-buttons>

</ion-toolbar>

<ng-container #widgetPlace></ng-container>